package com.blamejared.compat.chisel;

package .tmp;

import com.blamejared.compat.chisel.Carving;
import com.blamejared.mtlib.utils.BaseAction;
import crafttweaker.CraftTweakerAPI;
import team.chisel.api.carving.CarvingUtils;

class ActionAddGroup extends BaseAction {
  private String groupName;
  
  protected ActionAddGroup(String groupName) {
    super("Carving");
    this.groupName = groupName;
  }
  
  public void apply() {
    if (CarvingUtils.getChiselRegistry().getSortedGroupNames().contains(this.groupName)) {
      CraftTweakerAPI.logError("Error trying to add a  Chisel Group that already exists! Group: " + this.groupName);
      return;
    } 
    CarvingUtils.getChiselRegistry().addGroup(CarvingUtils.getDefaultGroupFor(this.groupName));
  }
  
  public String describe() {
    return "Adding chisel group called: " + this.groupName;
  }
}
